package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.palmnest.application.dto.ExtraServiceDto;

public class ExtraServiceOutputDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6340228883134389171L;
	private Long id;
	private Integer quota;//数量
	private String projectId;//项目id
	private List<ExtraServiceDto> exList;
	private String extraServiceId;
	private String extraName;
	private BigDecimal extraPrice;
	private String content;
	private int isOther; 
	private Integer total;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Integer getQuota() {
		return quota;
	}
	public void setQuota(Integer quota) {
		this.quota = quota;
	}
	public String getProjectId() {
		return projectId;
	}
	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	public List<ExtraServiceDto> getExList() {
		return exList;
	}
	public void setExList(List<ExtraServiceDto> exList) {
		this.exList = exList;
	}
	public String getExtraServiceId() {
		return extraServiceId;
	}
	public void setExtraServiceId(String extraServiceId) {
		this.extraServiceId = extraServiceId;
	}
	public String getExtraName() {
		return extraName;
	}
	public void setExtraName(String extraName) {
		this.extraName = extraName;
	}
	public BigDecimal getExtraPrice() {
		return extraPrice;
	}
	public void setExtraPrice(BigDecimal extraPrice) {
		this.extraPrice = extraPrice;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public int getIsOther() {
		return isOther;
	}
	public void setIsOther(int isOther) {
		this.isOther = isOther;
	}
	public int getTotal() {
		return total;
	}
	public void setTotal(int total) {
		this.total = total;
	}

}
